# Samba server managed by Ansible

#======================= Global Settings =======================

[global]
{% if samba_netbios_name is defined %}
   netbios name = {{ samba_netbios_name }}
{% endif %}
   ### For testing
   winbind enum users = yes
   winbind enum groups = yes
   ### For testing

   log file = /var/log/samba/log.%m
   logging = syslog@1 /var/log/samba/log.%m
   panic action = /usr/share/samba/panic-action %d

   map to guest = bad User
   max log size = 1000
   dns proxy = no
   obey pam restrictions = yes
   unix password sync = yes
   passwd program = /usr/bin/passwd %u
   passwd chat = *Enter\snew\s*\spassword:* %n\n *Retype\snew\s*\spassword:* %n\n *password\supdated\ssuccessfully* .
   pam password change = yes
   interfaces = ens3 lo
   bind interfaces only = yes
   
   load printers = no
   disable spoolss = yes
   printing = bsd
   printcap name = /dev/null

   server role = standalone server
   server string = {{ samba_fileserver_description }}
   security = ads
   workgroup = {{ samba_ad_domain }}
   realm = {{ samba_ad_realm }}
   dedicated keytab file = /etc/krb5.keytab
   kerberos method = secrets and keytab
   winbind refresh tickets = yes
   allow trusted domains = no
   
   idmap config * : backend = tdb
   idmap config * : range = 3000-7999
   idmap config {{ samba_ad_domain }}:backend = rid
   idmap config {{ samba_ad_domain }}:range = 10000-999999

   vfs objects = acl_xattr
   acl group control = yes
   map acl inherit = yes
   inherit acls = yes

{% if samba_share_name is defined %}
[{{ samba_share_name }}]
   comment = {{ samba_share_name }}
   path = {{ samba_root_folder }}
   read only = no
{% elif samba_s3_shares is defined %}
{% for samba_s3_share in samba_s3_shares %}
[{{ samba_s3_share.name }}]
   comment = S3 bucket share for {{ samba_s3_share.name }}
   path = {{ samba_s3_share.root_folder }}
   read only = {{ samba_s3_share.read_only | default("no") }}
{%   if samba_s3_share.group_name is defined %}
   valid users = @"AD\admin - fileshares" @"{{ samba_s3_share.group_name }}"
{%   endif %}
{% endfor %}
{% endif %}